Проникающая гидроизоляция бетона
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Программное позиционирование пространства модели во ViewPort

Программное позиционирование пространства модели во ViewPort

Ответ
Поиск в этой теме
Непрочитано 09.06.2008, 18:15 #1
Программное позиционирование пространства модели во ViewPort
Danger_pgs
 
Строительная диагностика
 
Барнаул
Регистрация: 23.02.2008
Сообщений: 24

Встала следующая задача:
Имеется некоторый комплект чертежей выполненных в модели в масштабе 1:1, без размеров и оформления. Требуется программно создать видовые окна в пространстве листа, задать нужный масштаб и спозиционировать пространство модели. С оформлением я разобрался, благо есть функция для перевода точки из координат модели в лист.
Основная задача программное совмещение заданной точки модели с центром текущего ViewPort... Зарание благодарен
Просмотров: 3003
 
Автор темы   Непрочитано 10.06.2008, 09:06
#2
Danger_pgs

Строительная диагностика
 
Регистрация: 23.02.2008
Барнаул
Сообщений: 24
<phrase 1=


Ещё подскажите пожалуйста, как програмно переключить активный вьюпорт??? Конструкция типа:
(vla-put-ActiveSpace actDoc acPaperSpace)
(vla-put-Activeviewport actDoc(vla-item (vla-get-viewports actDoc) 1))
Не катит...
Danger_pgs вне форума  
 
Непрочитано 10.06.2008, 09:16
#3
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,527


> #1 : DXF Reference -> VIEWPORT : 12 группа - координаты центра области просмотра (в системе координат дисплея); 16 группа - вектор просмотра; 17 группа - координаты центра просмотра в WCS. Вроде что-то из этого надо ковырять.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Автор темы   Непрочитано 10.06.2008, 09:33
#4
Danger_pgs

Строительная диагностика
 
Регистрация: 23.02.2008
Барнаул
Сообщений: 24
<phrase 1=


К сожалению не работает, я на это вчера пол-дня убил, он просто не даёт переписать 12-ую группу... То есть переписать то я переписал, а потом снова смотрю, а оно не изменилось... Наверное группа для редактирования не доступна...
Ладно, если не получится, я уже придумал как это победить. А как всё таки активный вьюпорт переключить???
Danger_pgs вне форума  
 
Непрочитано 10.06.2008, 09:37
#5
Makswell

Инженер-строитель
 
Регистрация: 15.08.2007
Киров
Сообщений: 2,252


Просто меняй переменнную CVPORT
Makswell вне форума  
 
Автор темы   Непрочитано 10.06.2008, 09:46
#6
Danger_pgs

Строительная диагностика
 
Регистрация: 23.02.2008
Барнаул
Сообщений: 24
<phrase 1=


Пасип!!!
Усли у кого появятся соображения по поводу позиционирования, делитесь, думаю задачка довольно интересная и заслуживает внимания! =)
Danger_pgs вне форума  
 
Непрочитано 10.06.2008, 09:57
#7
Олег К.

Инженер-теплотехник
 
Регистрация: 17.08.2006
Смоленск
Сообщений: 307


>> Danger_pgs
Вот нашел одну старую тему, там немного разбиралась работа с вьюпортами: http://dwg.ru/f/showthread.php?t=13211

И еще из давно сделанных наблюдений: из набора видовых экранов листа необходимо исключать первый по списку. Этот вьюпорт является служебным и включает в себя все пространство листа.
Олег К. вне форума  
 
Непрочитано 10.06.2008, 10:16
#8
Makswell

Инженер-строитель
 
Регистрация: 15.08.2007
Киров
Сообщений: 2,252


Может в тему? Код взят из древней книжки Полещука 2001 года
Код:
[Выделить все]
;;;вход в ВЭ из листа програмно
(defun test (/ vp1 vp1_1 n1)
  (setq vp1 (entsel "\nВыберите ВЭ"))
  (setq vp1_1 (entget (car vp1)))
  (setq n1 (cdr (assoc 69 vp1_1)))
  (vl-cmdf "_.mspace" "cvport" n1)
)
Makswell вне форума  
 
Непрочитано 10.06.2008, 20:42
#9
Vova

Engineer
 
Регистрация: 05.09.2003
New-York
Сообщений: 9,820


Цитата:
Сообщение от Danger_pgs Посмотреть сообщение
Встала следующая задача:
Имеется некоторый комплект чертежей выполненных в модели в масштабе 1:1, без размеров и оформления. Требуется программно создать видовые окна в пространстве листа, задать нужный масштаб и спозиционировать пространство модели.
С точки зрения исполнителя чертежа - ничего не понимаю. Как будто, чертеж недоделан и требуется его завершить нажатием некоей кнопки, запускающей умную программу. Как прога вычислит нужный масштаб в-порта?. Как она узнает, нужны ли в-порты других масштабов? Как она узнает, нарисованы ли детали в натуральныю величину или смасштабированы? Как она сможет при необходимости подрезать в-порт? Как она сможет заморозить некоторые слои в некоторых в-портах? Как она наконец среагирует на аннотативные объекты? Или это не будет универсальной суперпрогой, работающей вместо инженера, а только решать некий частный случай? Кстати, а как быть с забытыми размерами?
Vova вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Программное позиционирование пространства модели во ViewPort

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Видовые экраны в модели после создания 2Д-чертежа в модели BM60 AutoCAD 1 09.02.2008 05:44
Как перевести координаты Модели в координаты Листа? ===AAA=== Программирование 6 24.10.2007 22:09
Границы пространства модели bdfy AutoCAD 16 23.04.2006 16:13
Автоматическая печать из пространства модели Дмитрий_В AutoCAD 9 19.04.2006 16:52